# vim: set sw=4 ts=4 et:
# Copyright (c) 2010 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de


Name:           Mediathek
Summary:        Durchsucht verschiedene Mediatheken
URL:            http://zdfmediathk.sourceforge.net/
Group:          Productivity/Multimedia/Video/Players
Version:        2.5.0
Release:        0.pm.1.2
License:        GNU General Public License version 2 or later (GPLv2 or later)
BuildRequires:  ant
BuildRequires:  jakarta-commons-lang
BuildRequires:  jakarta-commons-compress-1_1 >= 1.1
#BuildRequires:	java-1_6_0-sun-devel
BuildRequires:  java-1_6_0-openjdk-devel
BuildRequires:  jdom
BuildRequires:  jpackage-utils
BuildRequires:  unzip
BuildRequires:  update-alternatives
BuildRequires:  update-desktop-files
%if %suse_version > 1100
BuildRequires:  xmlbeans
%endif
BuildRequires:  xerces-j2
BuildRequires:  xml-commons-apis
Requires:       jakarta-commons-lang
Requires:       jakarta-commons-compress-1_1
Requires:       java >= 1.6
Requires:       jdom
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
# git://zdfmediathk.git.sourceforge.net/gitroot/zdfmediathk/zdfmediathk
Source0:        zdfmediathk-51913defaf640f6b465961fdb29cd930d842c36b.tar.bz2
Source1:        http://prdownloads.sourceforge.net/zdfmediathk/Mediathek_%{version}.zip
Source2:        Mediathek-build.xml
BuildArch:      noarch

%description
Das Programm durchsucht verschiedene Mediatheken (ARD, ZDF, Arte,
3Sat, MDR, Schweizer Fernsehen), lädt Beiträge mit einem Programm
eigener Wahl und kann Themen als Abos anlegen und neue Beiträge
automatisch downloaden. Es gibt auch eine einfache Möglichkeit,
Podcasts zu Downloaden.

%package doc
Summary:        Durchsucht verschiedene Mediatheken (Dokumentation)
Group:          Productivity/Multimedia/Video/Players
Requires:       %{name} = %{version}

%description doc
Das Programm durchsucht verschiedene Mediatheken (ARD, ZDF, Arte,
3Sat, MDR, Schweizer Fernsehen), lädt Beiträge mit einem Programm
eigener Wahl und kann Themen als Abos anlegen und neue Beiträge
automatisch downloaden. Es gibt auch eine einfache Möglichkeit,
Podcasts zu Downloaden.

Dieses Paket beinhaltet zusätzliche Dokumentation zu %{name}.

%prep
%setup -q -n zdfmediathk -a1

%__install -m 644 "%{SOURCE2}" build.xml

find . -type d -name .git | while read dotgit; do %__rm -rf "$dotgit"; done

%__rm "%{name}.jar"
%__rm lib/commons-lang*
%__rm lib/jdom*

%build
%ant \
    -d \
    -Dversion=%{version} \
    -Dsource.encoding=UTF-8 \
    jar

%__rm build.xml

%install
export NO_BRP_CHECK_BYTECODE_VERSION=true

# jars
%__install -dm 755 %{buildroot}%{_javadir}/%{name}
%__install -pm 644 lib/%{name}.jar \
    %{buildroot}%{_javadir}/%{name}/%{name}-%{version}.jar
pushd %{buildroot}%{_javadir}/%{name} && \
    for jar in *-%{version}*; do \
    	ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; \
    done
popd
%__install -pm 644 lib/rome*.jar \
    %{buildroot}%{_javadir}/%{name}

# startscript
%__cat > %{name}.sh << EOF
#!/bin/bash

# set jar-entry-class
MAIN_CLASS="mediathek.Main"

# source the jpackage helpers and set environment
VERBOSE=1
.  %{_javadir}-utils/java-functions
set_javacmd
check_java_env
set_jvm_dirs
set_options "-Xmx756m"
CLASSPATH=\`build-classpath commons-lang commons-compress-1.1 jdom %{name}\`

run "\$@"
EOF

%__install -dm 755 %{buildroot}%{_bindir}
%__install -m  755 %{name}.sh \
    %{buildroot}%{_bindir}

# menu-entry
%__cat > %{name}.desktop << EOF
[Desktop Entry]
Comment=Mediathek Viewer
Name=%{name}
GenericName=%{name}
Type=Application
Exec=%{name}.sh -D
#Icon=%{name}
EOF
%suse_update_desktop_file -i %{name} AudioVideo TV

%__mv Copyright/medithek-LICENSE.txt LICENSE.txt

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc LICENSE.txt
%{_bindir}/%{name}.sh
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/*.jar
%{_datadir}/applications/%{name}.desktop

%files doc
%defattr(-,root,root)
%doc Anleitung/*.pdf

%changelog
* Sun Jun  5 2011 pascal.bleser@opensuse.org
- update to 2.5.0
* Tue Aug 10 2010 toni@links2linux.de
- update to 2.1.2
* Sun Aug  1 2010 toni@links2linux.de
- update to 2.1.1
* Sat Apr  3 2010 toni@links2linux.de
- update to 2.0.1
* Thu Feb 25 2010 toni@links2linux.de
- update to 2.0.0
* Sun Feb  7 2010 toni@links2linux.de
- update to 1.6.0
* Fri Jan 29 2010 toni@links2linux.de
- First packaged release 1.5.0
